CacheContentDescription
Keywords: uk.ac.ic.doc.automed.util.cache.CacheContentDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util.cache
Class CacheContentDescription

    java.lang.Object
      uk.ac.ic.doc.automed.util.cache.CacheContentDescription

    public class CacheContentDescription

extends java.lang.Object

Constructor Summary
`CacheContentDescription(java.lang.String[] headers, java.lang.Object[][] data)` Creates a new instance of CacheContentDescription

Method Summary
`void` | `clear()` Clear the cache content
`java.lang.String[]` | `getHeaders()` Return headers
`int` | `getIDColumn()`
`java.lang.Object[][]` | `getRowData()` Return row data
`void` | `setData(java.lang.String[] headers, java.lang.Object[][] data)` Update the cache content description
`void` | `setIDColumn(int colIndex)` The table's ID column

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheContentDescription

    public CacheContentDescription(java.lang.String[] headers,
                                   java.lang.Object[][] data)

  Creates a new instance of CacheContentDescription

Method Detail

### setData

    public void setData(java.lang.String[] headers,
                        java.lang.Object[][] data)

  Update the cache content description

### setIDColumn

    public void setIDColumn(int colIndex)

  The table's ID column

  Parameters:
    `colIndex` - the index of the id column

### getIDColumn

    public int getIDColumn()

### getRowData

    public java.lang.Object[][] getRowData()

  Return row data

### getHeaders

    public java.lang.String[] getHeaders()

  Return headers

### clear

    public void clear()

  Clear the cache content

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD